Subject: bug#30436: [email-masked] hash mismatch

From: [email-masked] (Ludovic Courtès)
Date: Fri, 16 Feb 2018 09:59:58 +0100

Hello Kei,

Kei Kebreau <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:

[...]

>> The original tarball should be available at:
>>
>>   https://mirror.hydra.gnu.org/file/bigloo4.3b.tar.gz/sha256/1xpzxjlq5g8j3jrb908kfaaa0pkynk4rd083hzvb08amhy68sx07
>>
>> … but it’s not.
>>
>> Kei, could you check if you still have the tarball with this hash and
>> how it differs from the current one?
>>
>> Unfortunately Bigloo’s maintainer tends to overwrite files in place so
>> it’s likely that the file was modified after Kei committed the upgrade.
>>
>> Thanks,
>> Ludo’.
>
> I do have the "original" tarball, but I don't know how I can transfer it
> to you for inspection (if that is even necessary). However, I have
> attached changelog differences between the two source trees. I'd send
> the full diffoscope report, but its size is about 127 megabytes! The
> difference seems to be a string of miscellaneous fixes and changes.

Yeah, that’s what I expected.  :-/  Thanks for checking.

Could you update the hash to the current hash in the ‘bigloo’ package
definition?  Please add “Fixes <https://bugs.gnu.org/30436>.” to the
commit log so people can later see why we changed the hash.

Thank you!

Ludo’.